# QInputDialog Class Reference

### [com.trolltech.qt.gui package]

Inherits QDialog.

### Constructor

- void QInputDialog(QWidget parent, WindowFlags flags)

### Constructor Properties

- prototype: The QInputDialog prototype object
- double getDouble(QWidget parent, String title, String label, double value, double minValue, double maxValue, int decimals, WindowFlags flags)
- int getInt_private(QWidget parent, String title, String label, int value, int minValue, int maxValue, int step, bool ok, WindowFlags flags)
- int getInteger(QWidget parent, String title, String label, int value, int minValue, int maxValue, int step, WindowFlags flags)
- String getItem(QWidget parent, String title, String label, List items, int current, bool editable, WindowFlags flags)
- String getText(QWidget parent, String title, String label, EchoMode echo, String text, WindowFlags flags)
- TextInput
- IntInput
- DoubleInput
- InputMode( value )
- NoButtons = 0x00000001
- UseListViewForComboBoxItems = 0x00000002
- InputDialogOption( value )
- InputDialogOptions( value1, value2, ... )

### Prototype Object Properties

The QInputDialog prototype object inherits properties from the QDialog prototype object and also has the following properties.

- String cancelButtonText()
- List comboBoxItems()
- int doubleDecimals()
- double doubleMaximum()
- double doubleMinimum()
- double doubleValue()
- InputMode inputMode()
- int intMaximum()
- int intMinimum()
- int intStep()
- int intValue()
- bool isComboBoxEditable()
- String labelText()
- String okButtonText()
- void open(QObject receiver, char member)
- InputDialogOptions options()
- void setCancelButtonText(String text)
- void setComboBoxEditable(bool editable)
- void setComboBoxItems(List items)
- void setDoubleDecimals(int decimals)
- void setDoubleMaximum(double max)
- void setDoubleMinimum(double min)
- void setDoubleRange(double min, double max)
- void setDoubleValue(double value)
- void setInputMode(InputMode mode)
- void setIntMaximum(int max)
- void setIntMinimum(int min)
- void setIntRange(int min, int max)
- void setIntStep(int step)
- void setIntValue(int value)
- void setLabelText(String text)
- void setOkButtonText(String text)
- void setOption(InputDialogOption option, bool on)
- void setOptions(InputDialogOptions options)
- void setTextEchoMode(EchoMode mode)
- void setTextValue(String text)
- bool testOption(InputDialogOption option)
- EchoMode textEchoMode()
- String textValue()

### Instance Properties

QInputDialog objects have no special properties beyond those inherited from the QInputDialog prototype object.